> For the complete documentation index, see [llms.txt](https://docs.eximee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/7-komponenty-specjalne/sekcja-z-checkboxem-checkboxsection.md).

# Section with checkbox - CheckboxSection

{% hint style="info" %}
Availability of functionality depends on the license and may not be available in all deployments.
{% endhint %}

This component, like Section, allows grouping other components while displaying a checkbox in the header.

![](/files/e99f632bd926c4537ba009460923e56f45cea79d)

## Component properties

| Eximee Designer property                           | Attribute name in the Source | Description                                                                                                                                                                                                                                                      |
| -------------------------------------------------- | ---------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Checked value** (section **Basic properties**)   | valueYes                     | The value the checkbox takes when it is checked - by default, if no other value is set, the value "true" is returned.                                                                                                                                            |
| **Unchecked value** (section **Basic properties**) | valueNo                      | The value the checkbox takes when it is unchecked - by default, if no other value is set, the value "false" is returned.                                                                                                                                         |
| **Section title** (section **Basic properties**)   | title                        | The content displayed next to the checkbox. Wikimarkup can be used here and variables can be referenced *${variable}.*                                                                                                                                           |
| **Dynamic section titles** (section **Other**)     | sectionDynamicTitles         | Allows you to provide dynamic content for the section checkbox, depending on conditions. The first title in order whose condition is met will be displayed. If none of the conditions is met, the title provided in the property is displayed **Section title**. |
| **Checkbox checked** (section **Other**)           | checked                      | A value specifying whether the checkbox is checked by default.                                                                                                                                                                                                   |

> More information about component properties: [Common component properties](/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/praca-z-komponentami-bazowymi/wspolne-wlasciwosci-komponentow.md)

![Figure 1. Example appearance of the component on the application](/files/9256e26d09f1048b380b1eae3f1f84d19f9a174c)

{% hint style="info" %}
Demo request: demoCheckboxSection
{% endhint %}

{% hint style="info" %}
♿WCAG: [Good WCAG practices for low-code dev](/documentation/documentation-en/budowanie-aplikacji/proces-biznesowy/tworzenie-procesu-biznesowego-w-bpmn-2.0/dobre-praktyki.md)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/7-komponenty-specjalne/sekcja-z-checkboxem-checkboxsection.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
